Quassel IRC - Bug #1067

Crash on playing test sound from settings screen
03/18/2011 11:44 PM - letharion

Status: Closed Start date: 03/18/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

Version: 0.7-pre 0S: Any

Description

| attach a screenshot of where | am in the interface.

When | press the play button that's highlighted, the client crashes.

When using the client normally, the sound doesn't play when it should either, but no crash there.
| have this file:

/usr/share/sounds/KDE-Im-Message-In.ogg

and it plays fine like a "Ping" sound in VLC.

Backtrace:

Application: quasselclient (v0.7.1 (dist-aa28596))
KDE Platform Version: 4.6.1 (4.6.1)

Qt Version: 4.7.1

Operating System: Linux 2.6.37-gentoo-r2 x86_64
Distribution: "Gentoo Base System release 1.12.14"

The crash can be reproduced every time.

-- Backtrace:
Application: Quassel IRC (quasselclient), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa8d811a760 (LWP 22143))]

Thread 3 (Thread 0x7fa8¢c7767700 (LWP 22144)):

#0 0x00007fa8d44a8699 in pthread_cond_timedwait () from /lib/libpthread.so.0

#1 0x00007fa8d7b2fde1 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2 0x00007fa8d7b25e57 in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4

#3 0x00007fa8d7b2f78e in QThreadPrivate::start(void*) () from /ust/lib64/qt4/libQtCore.so0.4
0x00007fa8d44a3a26 in start_thread () from /lib/libpthread.s0.0

0x00007fa8d4ea2dfd in clone () from /lib/libc.s0.6
o >

Thread 2 (Thread 0x7fa8bfc18700 (LWP 22145)):

#0 0x00007fa8d44a832c in pthread_cond_wait () from /lib/libpthread.so0.0

#1 0x00007fa8c47452a0 in gst_task_func (task=0x1ed20a0) at gsttask.c:259

#2 0x00007fa8d4727c9c in g_thread_pool_thread_proxy () from /ust/lib/libglib-2.0.s0.0
#3 0x00007fa8d47255c4 in g_thread_create_proxy () from /ust/lib/libglib-2.0.s0.0
0x00007fa8d44a3a26 in start_thread () from /lib/libpthread.s0.0
0x00007fa8d4ea2dfd in clone () from /lib/libc.s0.6

& R
o >

Thread 1 (Thread 0x7fa8d811a760 (LWP 22143)):

[KCrash Handler]

#6 ref (t=0x7fffc6320400) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121

#7 QString (t=0x7{ffc6320400) at /usr/include/qt4/QtCore/qgstring.h:729

#8 BufferInfo (t=0x7fffc6320400) at /var/tmp/portage/net-irc/quassel-0.7.1/work/quassel-0.7.1/src/common/bufferinfo.h:29

#9 Message (1=0x7fffc6320400) at /var/tmp/portage/net-irc/quassel-0.7.1/work/quassel-0.7.1/src/common/message.h:30

#10 gMetaTypeConstructHelper<Message> (t=0x7fffc6320400) at /usr/include/qt4/QtCore/gmetatype.h:142

#11 0x00007fa8d7c20038 in QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument,
QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument,
QGenericArgument, QGenericArgument, QGenericArgument) const () from /usr/lib64/qt4/libQtCore.so0.4

#12 0x00007fa8d7c20d77 in QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType, QGenericReturnArgument,
QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument,
QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) () from /usr/lib64/qt4/libQtCore.so0.4

#13 0x00007fa8c4fa5931 in Phonon::Gstreamer::Backend::busCall(_GstBus*, _GstMessage*, void*) () from
/usr/lib64/kded/plugins/phonon_backend/phonon_gstreamer.so
#14 0x00007fa8c46f6284 in gst_bus_source_dispatch (source=0x1c82df0, callback=0x7fa8c4fa5720
<Phonon::Gstreamer::Backend::busCall(_GstBus*, _GstMessage®, void*)>, user_data=0x1c81010) at gstbus.c:760

#15 0x00007fa8d46fe2a2 in g_main_context_dispatch () from /usr/lib/libglib-2.0.s0.0

#16 0x00007fa8d46fea80 in g_main_context_iterate.clone.5 () from /usr/lib/libglib-2.0.50.0

#17 0x00007fa8d46fed1d in g_main_context_iteration () from /usr/lib/libglib-2.0.s0.0

#18 0x00007fa8d7c423ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/qt4/libQtCore.so.4

#19 0x00007fa8d70b27be in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/ust/lib64/qt4/libQtGui.so.4

#20 0x00007fa8d7c16952 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/qt4/libQtCore.so.4

#21 0x00007fa8d7c16b94 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so0.4
#22 0x00007fa8d7c1affb in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4

#23 0x000000000043811c in main (argc=1, argv=0x7fffc6320bb8) at
/var/tmp/portage/net-irc/quassel-0.7.1/work/quassel-0.7.1/src/common/main.cpp:139

History

#1 - 03/22/2011 06:37 PM - johu

- Status changed from New to Feedback

Which build options (use flags) do you use? Is your system ~arch?

#2 - 03/22/2011 09:22 PM - letharion

emerge -vpq quassel
[ebuild R ] net-irc/quassel-0.7.1 USE="X crypt dbus kde phonon ssl (-ayatana) -debug -monolithic -postgres -server -webkit"

My system is "mostly" stable, but for example KDE is 4.6.1. Qt is 4.7.1, but | see there's a 4.7.2 out, which I'll upgrade to shortly. :)

#3 - 03/22/2011 10:18 PM - letharion

Qt at 4.7.2, problem remains.

#4 - 04/19/2011 11:18 PM - topyli
Confirming on Kubuntu Natty.

#5 - 04/21/2011 12:43 PM - letharion

Can no longer reproduce with Quassel 0.7.2.

#6 - 04/21/2011 01:18 PM - letharion

letharion wrote:

Can no longer reproduce with Quassel 0.7.2.

Should be noted that | dropped the crypt flag as well.

#7 - 04/21/2011 01:48 PM - johu
- Status changed from Feedback to Closed

<jOhu> Letharion: was there any update or changes of phonon related stuff in gentoo?
<Letharion> jOhu: There was a call for testing kde-4.6.2 recently, and with that | upgraded phonon from 4.4.4 to 4.5.0. Perhaps that's relevant.
<Letharion> jOhu: | did that upgrade the 14th of April, so the timing would be right.

Files

quasselhighlightsettings.png 63.5 KB 03/18/2011 letharion
